com.smartgwt.client.rpc

## Class LoadScreenCallback

- java.lang.Object
- - com.smartgwt.client.rpc.LoadScreenCallback

-     public abstract class LoadScreenCallback
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadScreenCallback()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `execute()` A `Callback` to evaluate when a screen is loaded via `RPCManager.loadScreen()`.
    `RPCResponse` | `getRpcResponse()`
    `Canvas` | `getScreen()` The last top-level component loaded
    `java.util.Map` | `getSuppressedGlobals()` A collection of suppressed globals.
    `void` | `setRpcResponse(RPCResponse rpcResponse)`
    `void` | `setScreen(Canvas screen)`
    `void` | `setSuppressedGlobals(java.util.Map suppressedGlobals)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadScreenCallback

          public LoadScreenCallback()

  - ### Method Detail

    - #### setScreen

          public void setScreen(Canvas screen)

      Parameters:
        `The` - last top-level component loaded

    - #### getScreen

          public Canvas getScreen()

      The last top-level component loaded

    - #### setRpcResponse

          public void setRpcResponse(RPCResponse rpcResponse)

      Parameters:
        `` -

    - #### getRpcResponse

          public RPCResponse getRpcResponse()

    - #### setSuppressedGlobals

          public void setSuppressedGlobals(java.util.Map suppressedGlobals)

      Parameters:
        `A` - collection of suppressed globals.

    - #### getSuppressedGlobals

          public java.util.Map getSuppressedGlobals()

      A collection of suppressed globals.

    - #### execute

          public abstract void execute()

      A `Callback` to evaluate when a screen is loaded via `RPCManager.loadScreen()`.